#if !defined(AFX_LIGHTSETDETAILDLG_H__1EFD388D_345D_4DFD_82B9_734EE19F4955__INCLUDED_)
#define AFX_LIGHTSETDETAILDLG_H__1EFD388D_345D_4DFD_82B9_734EE19F4955__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LightSetDetailDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLightSetDetailDlg dialog

class CLightSetDetailDlg : public CDialog
{
// Construction
public:
	CLightSetDetailDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLightSetDetailDlg)
	enum { IDD = IDD_DIALOG_LIGHTSET2 };
	CSliderCtrl	m_sliderLightSpecularR;
	CSliderCtrl	m_sliderLightSpecularG;
	CSliderCtrl	m_sliderLightSpecularB;
	CSliderCtrl	m_sliderLightDiffuseR;
	CSliderCtrl	m_sliderLightDiffuseG;
	CSliderCtrl	m_sliderLightDiffuseB;
	CSliderCtrl	m_sliderLightAmbientR;
	CSliderCtrl	m_sliderLightAmbientG;
	CSliderCtrl	m_sliderLightAmbientB;
	CComboBox	m_comboLightType;
	float	m_fLightAmbientB;
	float	m_fLightAmbientG;
	float	m_fLightAmbientR;
	float	m_fLightDiffuseB;
	float	m_fLightDiffuseG;
	float	m_fLightDiffuseR;
	float	m_fLightDirX;
	float	m_fLightDirY;
	float	m_fLightDirZ;
	float	m_fLightAttenuation0;
	float	m_fLightAttenuation1;
	float	m_fLightAttenuation2;
	float	m_fLightFalloff;
	float	m_fLightPhi;
	float	m_fLightRange;
	float	m_fLightTheta;
	float	m_fLightPosX;
	float	m_fLightPosY;
	float	m_fLightPosZ;
	float	m_fLightSpecularB;
	float	m_fLightSpecularG;
	float	m_fLightSpecularR;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLightSetDetailDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
public:
	D3DLIGHT8		m_light;

	void InitData();
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLightSetDetailDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnReleasedcaptureSliderAmbientB(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderAmbientG(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderAmbientR(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseB(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseG(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseR(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderSpecularB(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderSpecularG(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderSpecularR(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeComboLightType();
	afx_msg void OnChangeEditAmbientB();
	afx_msg void OnChangeEditAmbientG();
	afx_msg void OnChangeEditAmbientR();
	afx_msg void OnChangeEditDiffuseB();
	afx_msg void OnChangeEditDiffuseG();
	afx_msg void OnChangeEditDiffuseR();
	afx_msg void OnChangeEditDirectionX();
	afx_msg void OnChangeEditDirectionY();
	afx_msg void OnChangeEditDirectionZ();
	afx_msg void OnChangeEditLightAttenuation0();
	afx_msg void OnChangeEditLightAttenuation1();
	afx_msg void OnChangeEditLightAttenuation2();
	afx_msg void OnChangeEditLightFalloff();
	afx_msg void OnChangeEditLightPhi();
	afx_msg void OnChangeEditLightRange();
	afx_msg void OnChangeEditLightTheta();
	afx_msg void OnChangeEditPositionX();
	afx_msg void OnChangeEditPositionY();
	afx_msg void OnChangeEditPositionZ();
	afx_msg void OnChangeEditSpecularB();
	afx_msg void OnChangeEditSpecularG();
	afx_msg void OnChangeEditSpecularR();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIGHTSETDETAILDLG_H__1EFD388D_345D_4DFD_82B9_734EE19F4955__INCLUDED_)
